<?xml version="1.0" encoding="UTF-8"?>
<module relativePaths="true" type="JAVA_MODULE" version="4">
  <component name="NewModuleRootManager" inherit-compiler-output="true">
    <exclude-output />
    <content url="file://$MODULE_DIR$">
      <sourceFolder url="file://$MODULE_DIR$/src" isTestSource="false" />
    </content>
    <content url="file://$MODULE_DIR$/../../plugins/InspectionGadgets">
      <sourceFolder url="file://$MODULE_DIR$/../../plugins/InspectionGadgets/src" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/../../plugins/InspectionGadgets/testsrc" isTestSource="true" />
    </content>
    <content url="file://$MODULE_DIR$/../../plugins/IntentionPowerPak">
      <sourceFolder url="file://$MODULE_DIR$/../../plugins/IntentionPowerPak/src" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/../../plugins/IntentionPowerPak/testSrc" isTestSource="true" />
    </content>
    <content url="file://$MODULE_DIR$/../../plugins/generate-tostring">
      <sourceFolder url="file://$MODULE_DIR$/../../plugins/generate-tostring/src" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/../../plugins/generate-tostring/testSrc" isTestSource="true" />
      <sourceFolder url="file://$MODULE_DIR$/../../plugins/generate-tostring/resources" isTestSource="false" />
    </content>
    <orderEntry type="module" module-name="boot" />
    <orderEntry type="inheritedJdk" />
    <orderEntry type="sourceFolder" forTests="false" />
    <orderEntry type="module" module-name="util" />
    <orderEntry type="module" module-name="openapi" />
    <orderEntry type="library" name="Trove4j" level="project" />
    <orderEntry type="library" name="OroMatcher" level="project" />
    <orderEntry type="module" module-name="xml" />
    <orderEntry type="module" module-name="java-runtime" />
    <orderEntry type="module" module-name="lang-impl" exported="" />
    <orderEntry type="module" module-name="compiler-openapi" />
    <orderEntry type="module" module-name="jsp-openapi" />
    <orderEntry type="module" module-name="jsp-spi" />
    <orderEntry type="module" module-name="execution-openapi" />
    <orderEntry type="library" name="asm" level="project" />
    <orderEntry type="module" module-name="dom-openapi" />
    <orderEntry type="module" module-name="dom-impl" />
    <orderEntry type="module" module-name="vcs-impl" />
    <orderEntry type="module" module-name="icons" />
    <orderEntry type="library" name="jcip" level="project" />
    <orderEntry type="library" name="Groovy" level="project" />
    <orderEntry type="library" scope="TEST" name="JUnit4" level="project" />
    <orderEntry type="module" module-name="java-psi-impl" exported="" />
    <orderEntry type="module" module-name="RegExpSupport" />
    <orderEntry type="module" module-name="java-indexing-impl" exported="" />
    <orderEntry type="module" module-name="java-indexing-api" />
    <orderEntry type="module" module-name="jps-model-impl" />
    <orderEntry type="module" module-name="java-analysis-impl" exported="" />
    <orderEntry type="module" module-name="external-system-api" />
    <orderEntry type="library" name="asm5" level="project" />
    <orderEntry type="library" name="Guava" level="project" />
    <orderEntry type="library" name="Xerces" level="project" />
    <orderEntry type="library" name="Velocity" level="project" />
    <orderEntry type="module" module-name="testFramework-java" scope="TEST" />
    <orderEntry type="module" module-name="java-structure-view" exported="" />
    <orderEntry type="module" module-name="spellchecker" />
    <orderEntry type="library" name="nekohtml" level="project" />
  </component>
  <component name="copyright">
    <Base>
      <setting name="state" value="1" />
    </Base>
  </component>
</module>

